ALLEGRO_MOUSE_STATE(3)

NAME

ALLEGRO_MOUSE_STATE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef struct ALLEGRO_MOUSE_STATE ALLEGRO_MOUSE_STATE;

DESCRIPTION

Public fields (read only):

•   x - mouse x position

•   y - mouse y position

•   w, z - mouse wheel position (2D 'ball')

•   buttons - mouse buttons bitfield

    The zeroth bit is set if the primary mouse button is held down, the first bit is set if the secondary mouse button is held down, and so on.

•   pressure - pressure, ranging from 0.0 to 1.0

SEE ALSO

al_get_mouse_state(3), al_get_mouse_state_axis(3), al_mouse_button_down(3)